<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output encoding="UTF-8" method="xml"/>
	<xsl:param name="p.currentfile.dir"/>
	<xsl:param name="p.conf.dir"/>
	
  <!--**
		* Résolution des tags dynamique dans les fichiers XML de conf
		**-->
		
	<!-- #buildImportXml -->	
	<xsl:template match="buildImportXml">
		<xsl:choose>
			<xsl:when test="not(@src) or @src=''">
				<!-- on ne fait rien -->
			</xsl:when>
			<xsl:when test="starts-with(@src, 'currentfiledir:')">
				<!-- path relatif au fichier courant -->
				<xsl:variable name="vSrcXml" select="document(concat($p.currentfile.dir, '/', substring-after(@src, 'currentfiledir:')))"/>
				<xsl:apply-templates select="$vSrcXml/conf/* | $vSrcXml/*[name()!='conf']"/>
			</xsl:when>
			<xsl:when test="starts-with(@src, 'confdir:')">
				<!-- path relatif au repertoire conf -->
				<xsl:variable name="vSrcXml" select="document(concat($p.conf.dir, '/', substring-after(@src, 'confdir:')))"/>
				<xsl:apply-templates select="$vSrcXml/conf/* | $vSrcXml/*[name()!='conf']"/>
			</xsl:when>
			<xsl:otherwise>
				<!-- path absolu -->
				<xsl:variable name="vSrcXml" select="document(@src)"/>
				<xsl:apply-templates select="$vSrcXml/conf/* | $vSrcXml/*[name()!='conf']"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<!-- ### -->
	<!-- # Cas général : on copie -->
	<!-- # -->
	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>

</xsl:stylesheet>
